## isa-support 15.1

=== Makefile ===
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
prefix?=/usr
exec_prefix?=$(prefix)
DESTDIR?=
libexecdir?=$(exec_prefix)/libexec
archlibexecdir?=$(exec_prefix)/libexec/$(DEB_HOST_MULTIARCH)
INSTALL?=install

uniq = $(if $1,$(firstword $1) $(call uniq,$(filter-out $(firstword $1),$1)))

ISAS_ARCH_LIST:=$(shell cat isa-list | grep '^Architecture:' | cut -d ':' -f2 | sort -u)
ISAS_ARCH_FORUS:=$(call uniq, $(foreach isaarch, $(ISAS_ARCH_LIST), $(shell dpkg-architecture -a $(DEB_HOST_ARCH) -i $(isaarch) && echo $(isaarch))))
ISAS_ARCH_FORUS_GREP:=$(foreach isa, $(ISAS_ARCH_FORUS), -e '^Architecture:.*[[:space:]]$(isa)')

ISAS:= $(shell cat isa-list | grep -A1 ^Name  | grep -B1 $(ISAS_ARCH_FORUS_GREP) -e 'FakeArchIsEmptySet' | grep ^Name | cut -d ' ' -f2)



TEST_BINARIES = $(foreach isa,$(ISAS),test-$(isa))
QEMU_BINARIES = $(foreach isa,$(ISAS),qemu-good-$(isa)) $(foreach isa,$(ISAS),qemu-bad-$(isa))
TEST_SOURCES = $(foreach isa,$(ISAS),test-$(isa).c)

GENERATED_FILES += $(foreach isa,$(ISAS),debian/$(isa).docs)
GENERATED_FILES += $(foreach isa,$(ISAS),debian/$(isa).lintian-overrides)
GENERATED_FILES += $(foreach isa,$(ISAS),debian/$(isa).preinst)
GENERATED_FILES += $(foreach isa,$(ISAS),debian/$(isa).templates)
GENERATED_FILES += $(TEST_SOURCES)
ALL_GENERATED_FILES += $(GENERATED_FILES) debian/control

INPUT_FILES = $(wildcard debian/*.in)

CFLAGS ?=
CFLAGS += -Wall
CFLAGS += $(shell cat isa-list | sed -e 's/^Name: /Name: test-/' | grep $@ -A3 | grep '^CFLAGS:' | cut -d ' ' -f2-)

all: $(TEST_BINARIES)
	@:

clean:
	rm -f $(TEST_BINARIES)
	rm -f $(GENERATED_FILES)
	rm -f .last-refresh

install:
	mkdir -p $(DESTDIR)/$(archlibexecdir)/isa-support
	for bin in $(TEST_BINARIES); do $(INSTALL) $$bin $(DESTDIR)/$(archlibexecdir)/isa-support; done
	for bin in $(QEMU_BINARIES); do if test -e $$bin; then $(INSTALL) $$bin $(DESTDIR)/$(archlibexecdir)/isa-support; fi; done

refresh: $(ALL_GENERATED_FILES) $(TEST_SOURCES)
	@:

$(GENERATED_FILES): .last-refresh
	@:

.last-refresh: refresh-package $(INPUT_FILES)
	./refresh-package
	touch $@

.PHONY: all clean refresh

## isa-support 2

=== debian/changelog ===
isa-support (2) unstable; urgency=medium

  * Move the VCS to collab-maint.
  * Machinery for substituting variables in debconf translations.
  * Portuguese translation (Rui Branco).  Closes: #872176
  * Polish translation (I forgot I know this language...).

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 15 Aug 2017 16:04:48 +0200

isa-support (1) unstable; urgency=medium

  * Initial release (Closes: #823672)

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 03 Aug 2017 23:42:42 +0200

=== debian/control ===
Source: isa-support
Section: misc
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>=10), sharutils, po-debconf
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/collab-maint/isa-support.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/isa-support.git

Package: sse2-support
Priority: optional
Multi-Arch: foreign
Description: prevent installation on processors without required instructions
 This is a mostly dummy package, whose only purpose is to detect the presence
 of sse2.  It refuses to install on inadequate processors, thus allowing
 specifying such a requirement as a dependency.
Architecture: any-i386

Package: sse3-support
Priority: optional
Multi-Arch: foreign
Description: prevent installation on processors without required instructions
 This is a mostly dummy package, whose only purpose is to detect the presence
 of sse3.  It refuses to install on inadequate processors, thus allowing
 specifying such a requirement as a dependency.
Architecture: any-i386 any-amd64
Pre-Depends: libc6 (>= 2.2.5)

Package: sse4.2-support
Priority: optional
Multi-Arch: foreign
Description: prevent installation on processors without required instructions
 This is a mostly dummy package, whose only purpose is to detect the presence
 of sse4.2.  It refuses to install on inadequate processors, thus allowing
 specifying such a requirement as a dependency.
Architecture: any-i386 any-amd64
Pre-Depends: libc6 (>= 2.2.5)

Package: altivec-support
Priority: optional
Multi-Arch: foreign
Description: prevent installation on processors without required instructions
 This is a mostly dummy package, whose only purpose is to detect the presence
 of altivec.  It refuses to install on inadequate processors, thus allowing
 specifying such a requirement as a dependency.
Architecture: powerpc

Package: neon-support
Priority: optional
Multi-Arch: foreign
Description: prevent installation on processors without required instructions
 This is a mostly dummy package, whose only purpose is to detect the presence
 of neon.  It refuses to install on inadequate processors, thus allowing
 specifying such a requirement as a dependency.
Architecture: armhf

## isa-support 5

=== debian/changelog ===
isa-support (5) unstable; urgency=medium

  * Chinese (simplified) translation (Boyuan Yang).

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 17 Jan 2018 01:05:58 +0100

isa-support (4) unstable; urgency=medium

  * French translation (Jean-Pierre Giraud).  Closes: #875549
  * Russian translation (Lev Lamberov).  Closes: #883205
  * Brazilian translation (Raimundo Corrêa).  Closes: #887471
  * Move the VCS to salsa.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 17 Jan 2018 00:52:58 +0100

isa-support (3) unstable; urgency=medium

  * Make the build reproducible (Chris Lamb).  Closes: #872453
  * German translation (Chris Leick).  Closes: #873378
  * Dutch translation (Frans Spiesschaert).  Closes: #874283

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 04 Sep 2017 21:43:34 +0200

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	./build

override_dh_installdebconf:
	dh_installdebconf -- --podir=debian/po.tmp

## isa-support 6

=== debian/changelog ===
isa-support (6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply a C compiler. (Closes: #982186)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 08 Feb 2021 02:12:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper (>=10), sharutils, po-debconf
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/isa-support.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/isa-support.git
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/isa-support.git
+Vcs-Browser: https://salsa.debian.org/debian/isa-support.git
 
 Package: sse2-support
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
+
+-include /usr/share/dpkg/buildtools.mk
+export CC
 
 %:
 	dh $@

## isa-support 15

=== debian/changelog ===
isa-support (15) unstable; urgency=high

  * Bug fix: "version 14 fails to install where version 13 installs fine
    due to different binary capitalization: test-sse3 vs test-SSE3",
    thanks to Axel Beckert (Closes: #1019556).
  * Install qemu-bad-ISA/qemu-good-ISA in order to allow test

 -- Bastien Roucariès <rouca@debian.org>  Mon, 12 Sep 2022 10:53:47 +0000

isa-support (14) unstable; urgency=medium

  * Bug fix: "improving package descriptions", thanks to Daniel Baumann
    (Closes: #919858).

 -- Bastien Roucariès <rouca@debian.org>  Sun, 11 Sep 2022 13:39:10 +0000

isa-support (13) unstable; urgency=medium

  * Upload to unstable

 -- Bastien Roucariès <rouca@debian.org>  Wed, 31 Aug 2022 19:33:51 +0000

isa-support (12) experimental; urgency=medium

  * Bug fix: "isa-support.deb description doesn't make sense", thanks
    to Christoph Berg (Closes: #1018714).
  * Bug fix: "Please build sse4.1-support", thanks to Michael
    R. Crusoe (Closes: #959722).
  * Introduce armv6k-support needed by nodejs

 -- Bastien Roucariès <rouca@debian.org>  Mon, 29 Aug 2022 17:01:50 +0000

isa-support (11) unstable; urgency=medium

  * asm statement should be volatile
  * Upload to unstable

 -- Bastien Roucariès <rouca@debian.org>  Mon, 22 Aug 2022 12:56:19 +0000

isa-support (10) experimental; urgency=medium

  * Detect vfp, vfp2, vfp3 floating point on armel
  * Detect arm version on armel (Closes: #994712).

 -- Bastien Roucariès <rouca@debian.org>  Sat, 20 Aug 2022 13:59:37 +0000

isa-support (9) unstable; urgency=medium

  * Upload to sid
  * Allow isa-support package to be co-installable
  * Replace bash by sh in preinst script by setting core file limit
    in C source and catching SIGILL, SIGBUS, SIGSEGV

 -- Bastien Roucariès <rouca@debian.org>  Thu, 18 Aug 2022 09:54:18 +0000

isa-support (8) experimental; urgency=medium

  [ Gioele Barabucci ]
  * d/preinst: Use base64 instead of uuencode+perl to encode test binaries
  * d/control: Adopt package (Closes: #1014892)
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * d/control: Update to debhelper compat 13
  * d/control: Fix Vcs-Browser URL
  * d/preinst: Use `||` and `&&` instead of non well defined `-o` and `-a`
  * d/preinst: Use command substitutions instead of backticks
  * build: Split into multiple scripts
  * build: Delegate compilation to Makefile
  * Materialize package files
  * d/control: Add instruction set name to Description
  * calculate-shlibdeps: Run only on archs supported by host machine
  * d/po: Refresh po files (no changes in messages)
  * d/control: Avoid repeated Priority field in binary package stanzas
  * d/s/lintian-overrides: Drop package-depends-on-hardcoded-libc
  * d/gitlab-ci: Add standard CI instructions

  [ Bastien Roucariès ]
  * Add myself as uploader
  * run salsa-ci tests
  * Run make only on test for DEB_HOST_ARCH
  * Split package and do not use embdeded base64 ELF binaries in preinst
    (Closes: 1017513)

 -- Bastien Roucariès <rouca@debian.org>  Wed, 17 Aug 2022 10:26:10 +0000

isa-support (7) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * Work around dpkg-shlibdeps failing when in a clean git checkout.
    Closes: #1014712

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 13 Jul 2022 23:33:28 +0200

## isa-support 15.1

=== debian/changelog ===
isa-support (15.1) unstable; urgency=high

  * Fix .maintscript generation for /usr/share/doc/$PACKAGE -> isa-support
    symlink conversion.  (Closes: #1035766). Thanks to Andreas Beckmann.

 -- Bastien Roucariès <rouca@debian.org>  Thu, 25 May 2023 19:44:40 +0000

=== debian/control ===
Source: isa-support
Section: misc
Priority: optional
Uploaders: Gioele Barabucci <gioele@svario.it>
Maintainer: Bastien Roucariès <rouca@debian.org>
Build-Depends: debhelper-compat (= 13), po-debconf
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/isa-support.git
Vcs-Browser: https://salsa.debian.org/debian/isa-support

Package: isa-support
Multi-Arch: same
Architecture: any-i386 any-i386 any-amd64 armel armel armhf armhf powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU feature checking - common back-end
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This package provides the feature-probing infrastructure. To assert a CPU
 requirement, other packages can pre-depend on one of the individual
 feature-specific packages:
 .
 sse2-support, sse3-support, sse4.2-support, altivec-support, neon-support,
 armv6-support, armv7-support, armv8-support, vfp-support, vfpv2-support,
 vfpv3-support

Package: sse2-support
Multi-Arch: foreign
Architecture: any-i386
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require SSE2
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for SSE2 and refuses to install
 on unsupported hardware.
 .
 Streaming SIMD Extensions (SSE) is a single instruction, multiple data
 (SIMD) instruction set extension.
 .
 SSE2 was an incremental upgrade to SSE intended to fully replace the earlier
 MMX instruction set. It is available on processors from Pentium 4 onward,
 including all 64-bit capable ones, but not on Pentium 3, Athlon XP, Via C3,
 Quark, or older processors.

Package: sse3-support
Multi-Arch: foreign
Architecture: any-i386 any-amd64
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require SSE3
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for SSE3 and refuses to install
 on unsupported hardware.
 .
 Streaming SIMD Extensions (SSE) is a single instruction, multiple data
 (SIMD) instruction set extension.
 .
 SSE3, also called PNI (Prescott New Instructions), is an incremental upgrade
 to SSE2, adding a handful of new operations useful for processing media. It
 is available on almost any 64-bit-capable processor except for some early
 AMD models (Sledgehammer and Clawhammer), but is not available on most
 32-bit-only hardware.

Package: sse4.1-support
Multi-Arch: foreign
Architecture: any-i386 any-amd64
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require SSE4.1
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for SSE4.1 and refuses to install
 on unsupported hardware.
 .
 Streaming SIMD Extensions (SSE) is a single instruction, multiple data
 (SIMD) instruction set extension.
 .
 SSE4.1 added a dot product instruction and additional integer instructions.
 It is available on Intel processors since Penryn (circa 2008), but notably
 not on anything AMD until the Bulldozer (15h, in 2011) and Jaguar (16h, in
 2013) families.

Package: sse4.2-support
Multi-Arch: foreign
Architecture: any-i386 any-amd64
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require SSE4.2
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for SSE4.2 and refuses to install
 on unsupported hardware.
 .
 SSE4.2 added string and text processing instructions that perform character
 searches and comparison on two operands of 16 bytes at a time. It is
 available on Intel processors since Nehalem (circa 2008), but notably not
 on anything AMD until the Bulldozer (15h, in 2011) and Jaguar (16h, in
 2013) families.

Package: altivec-support
Multi-Arch: foreign
Architecture: powerpc
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require altivec
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for altivec and refuses to install
 on unsupported hardware.
 .
 AltiVec is a single-precision floating point and integer SIMD instruction
 set. It is a standard part of the Power ISA v.2.03 specification.

Package: neon-support
Multi-Arch: foreign
Architecture: armhf
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require neon
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for neon and refuses to install
 on unsupported hardware.
 .
 This is a mostly dummy package which checks for Neon and refuses to install
 on unsupported hardware.
 .
 Neon, also known as MPE (Media Processing Engine) or Advanced SIMD, is a
 combined 64- and 128-bit SIMD instruction set that provides standardised
 acceleration for media and signal processing applications. It is available
 on the vast majority of armhf devices but not guaranteed before the 64-bit
 capable ARMv8.

Package: armv6-support
Multi-Arch: foreign
Architecture: armel
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require ARMv6
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for ARMv6 and refuses to install
 on unsupported hardware.
 .
 The ARMv6 architecture (not to be confused with product family ARM6) uses
 physically addressed cache, solving many cache aliasing problems and
 reducing context switch overhead. Unaligned and mixed-endian data access is
 supported. This architecture includes the first version of Thumb
 technology.
 .
 This feature is not guaranteed by the architecture baseline, but is
 available for newer armel machines in the ARM11 product family, including
 ARM1136J(F)-S, ARM1156T2(F)-S, ARM1176JZ(F)-S, ARM1136EJ(F)-S, and
 ARM11MPCore processors. Boards include the Raspberry Pi model 1 and
 Raspberry Pi Zero.

Package: armv6k-support
Multi-Arch: foreign
Architecture: armel
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require ARMv6K
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for ARMv6K and refuses to install
 on unsupported hardware.
 .
 ARMv6k is a subarchitecture of ARMV6 adding Symmetric MultiProcessing
 and Thread Local Storage instruction sets. It is not guaranteed by the
 architecture baseline, but is available for newer armel machines in the
 ARM11 product family; boards include the Raspberry Pi model 1 and
 Raspberry Pi Zero.

Package: armv7-support
Multi-Arch: foreign
Architecture: armel
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require ARMv7
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for ARMv7 and refuses to install
 on unsupported hardware.
 .
 ARMv7 (not to be confused with product family ARM7) includes Thumb-2
 technology, adding 32-bit instructions into compressed Thumb mode. It is
 not guaranteed by the architecture baseline, but is available for newer
 armel machines (including CPUs that support armhf) since the Cortex-A
 product family, including Cortex-A5, -A7, -A8, -A9, -A12, -A15, and -A17
 processors. Boards include the Raspberry Pi 2.

Package: armv8-support
Multi-Arch: foreign
Architecture: armel armhf
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require ARMv8
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for ARMv8 and refuses to install
 on unsupported hardware.
 .
 ARMv8 (not to be confused with product family ARM8) introduced a large
 number of ISA enhancements. It is not guaranteed by the architecture
 baseline, but is available for newer armel machines (including CPUs that
 support armhf) since the Cortex-A product family, including Cortex-A32, as
 well as all arm64 processors. Boards include the Raspberry Pi 3 and 4.

Package: vfp-support
Multi-Arch: foreign
Architecture: armel
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require VFP
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for VFP and refuses to install
 on unsupported hardware.
 .
 VFP (Vector Floating Point) technology is a floating-point unit (FPU)
 coprocessor extension to the ARM architecture. It provides single- and
 double-precision floating-point computation fully compliant with IEEE
 754-1985.

Package: vfpv2-support
Multi-Arch: foreign
Architecture: armel
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require VFPv2
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for VFPv2 and refuses to install
 on unsupported hardware.
 .
 VFP (Vector Floating Point) technology is a floating-point unit (FPU)
 coprocessor extension to the ARM architecture. It provides single- and
 double-precision floating-point computation fully compliant with IEEE
 754-1985.
 .
 VFPv2 has 16 64-bit FPU registers. It is available for some ARMv5 and
 all ARMv6 cores.

Package: vfpv3-support
Multi-Arch: foreign
Architecture: armel
Pre-Depends: isa-support (= ${binary:Version})

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
export DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS ?= hardening=+all
export DEB_BUILD_MAINT_OPTIONS
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	make refresh

execute_before_dh_installdebconf:
	./expand-translations debian/po.tmp

override_dh_installdocs:
	dh_installdocs --link-doc=isa-support

override_dh_installdebconf:
	dh_installdebconf -- --podir=debian/po.tmp

override_dh_dwz:
	# workarround lintian bug
	dh_dwz --no-dwz-multifile

## isa-support 16

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 
 TEST_BINARIES = $(foreach isa,$(ISAS),test-$(isa))
-QEMU_BINARIES = $(foreach isa,$(ISAS),qemu-good-$(isa)) $(foreach isa,$(ISAS),qemu-bad-$(isa))
+QEMU_BINARIES = $(foreach type,good static-good bad static-bad,$(foreach isa,$(ISAS),qemu-$(type)-$(isa)))
 TEST_SOURCES = $(foreach isa,$(ISAS),test-$(isa).c)
 
 GENERATED_FILES += $(foreach isa,$(ISAS),debian/$(isa).docs)

=== debian/changelog ===
isa-support (16) experimental; urgency=medium

  * Run test suite using qemu-static

 -- Bastien Roucariès <rouca@debian.org>  Mon, 12 Sep 2022 12:57:11 +0000

=== debian/tests/control ===
Tests: test-SSE2
Depends: isa-support, qemu-user-static, build-essential
Architecture: any-i386

Tests: test-SSE3
Depends: isa-support, qemu-user-static, build-essential
Architecture: any-i386 any-amd64

Tests: test-SSE4.1
Depends: isa-support, qemu-user-static, build-essential
Architecture: any-i386 any-amd64

Tests: test-SSE4.2
Depends: isa-support, qemu-user-static, build-essential
Architecture: any-i386 any-amd64

Tests: test-ARMv6
Depends: isa-support, qemu-user-static, build-essential
Architecture: armel

Tests: test-ARMv6K
Depends: isa-support, qemu-user-static, build-essential
Architecture: armel

## isa-support 20

=== debian/changelog ===
isa-support (20) unstable; urgency=medium

  * Work arround qemu bug #1041471.
  * Remove Gioele Barabucci as uploader. Thanks Giole

 -- Bastien Roucariès <rouca@debian.org>  Fri, 28 Jul 2023 17:35:59 +0000

isa-support (19) unstable; urgency=medium

  * Upload to unstable
  * Bug fix: "[INTL:es] Spanish translation of isa-support debconf
    template", thanks to Camaleón (Closes: #1036375).

 -- Bastien Roucariès <rouca@debian.org>  Sun, 18 Jun 2023 16:05:40 +0000

isa-support (18) experimental; urgency=medium

  * Release with fix from Andreas Beckmann.

 -- Bastien Roucariès <rouca@debian.org>  Thu, 25 May 2023 19:53:50 +0000

isa-support (17) experimental; urgency=medium

  * Add ABI version on i386/amd64

 -- Bastien Roucariès <rouca@debian.org>  Mon, 27 Feb 2023 09:10:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: isa-support
 Section: misc
 Priority: optional
-Uploaders: Gioele Barabucci <gioele@svario.it>
 Maintainer: Bastien Roucariès <rouca@debian.org>
 Build-Depends: debhelper-compat (= 13), po-debconf
 Standards-Version: 4.6.1
@@ -274,3 +273,4 @@
 Multi-Arch: foreign
 Architecture: armel
 Pre-Depends: isa-support (= ${binary:Version})
+Description: CPU feature checking - require VFPv3

## isa-support 21build1

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,7 @@
 GENERATED_FILES += $(foreach isa,$(ISAS),debian/$(isa).templates)
 GENERATED_FILES += $(TEST_SOURCES)
 ALL_GENERATED_FILES += $(GENERATED_FILES) debian/control
+ALL_BINARIES = $(TEST_BINARIES) $(QEMU_BINARIES)
 
 INPUT_FILES = $(wildcard debian/*.in)
 
@@ -38,8 +39,8 @@
 	@:
 
 clean:
-	rm -f $(TEST_BINARIES)
 	rm -f $(GENERATED_FILES)
+	rm -f $(ALL_BINARIES)
 	rm -f .last-refresh
 
 install:

=== debian/changelog ===
isa-support (21build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:54:37 +0200

isa-support (21) unstable; urgency=medium

  * Fix a typo in qemu emulation for sse

 -- Bastien Roucariès <rouca@debian.org>  Sun, 26 Nov 2023 13:22:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: isa-support
 Section: misc
 Priority: optional
-Maintainer: Bastien Roucariès <rouca@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bastien Roucariès <rouca@debian.org>
 Build-Depends: debhelper-compat (= 13), po-debconf
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
@@ -273,4 +274,3 @@
 Multi-Arch: foreign
 Architecture: armel
 Pre-Depends: isa-support (= ${binary:Version})
-Description: CPU feature checking - require VFPv3

=== debian/tests/control ===
Tests: test-i386-baseline
Depends: isa-support, qemu-user-static (>>1:7.2~), build-essential
Architecture: any-i386

Tests: test-SSE2
Depends: isa-support, qemu-user-static (>>1:7.2~), build-essential
Architecture: any-i386

Tests: test-amd64-baseline
Depends: isa-support, qemu-user-static (>>1:7.2~), build-essential
Architecture: any-i386 any-amd64

Tests: test-x86-64-v1
Depends: isa-support, qemu-user-static (>>1:7.2~), build-essential
Architecture: any-i386

Tests: test-x86-64-v2
Depends: isa-support, qemu-user-static (>>1:7.2~), build-essential
Architecture: any-i386 any-amd64

Tests: test-SSE3
Depends: isa-support, qemu-user-static (>>1:7.2~), build-essential
Architecture: any-i386 any-amd64

Tests: test-SSE4.1
Depends: isa-support, qemu-user-static (>>1:7.2~), build-essential
Architecture: any-i386 any-amd64

Tests: test-SSE4.2
Depends: isa-support, qemu-user-static (>>1:7.2~), build-essential
Architecture: any-i386 any-amd64

## isa-support 24

=== debian/changelog ===
isa-support (24) unstable; urgency=medium

  * Sourcefull upload

 -- Bastien Roucariès <rouca@debian.org>  Wed, 26 Jun 2024 21:56:42 +0000

isa-support (23) unstable; urgency=medium

  * Upload to unstable
  * Rebuild from source (Closes: #1029792)
  * Bug fix: "[INTL:sv] Swedish strings for isa-support debconf", thanks
    to Martin Bagge (Closes: #1071730).

 -- Bastien Roucariès <rouca@debian.org>  Wed, 26 Jun 2024 06:01:56 +0000

isa-support (22) experimental; urgency=medium

  * Add x86-64-v2-support, x86-64-v3-support and
    amd64-baseline-support packages.

 -- Bastien Roucariès <rouca@debian.org>  Mon, 24 Jun 2024 12:16:24 +0000

=== debian/control ===
Source: isa-support
Section: misc
Priority: optional
Maintainer: Bastien Roucariès <rouca@debian.org>
Build-Depends: debhelper-compat (= 13), po-debconf
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/isa-support.git
Vcs-Browser: https://salsa.debian.org/debian/isa-support

Package: isa-support
Multi-Arch: same
Architecture: any-i386 any-i386 any-amd64 armel armel armhf armhf powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU feature checking - common back-end
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This package provides the feature-probing infrastructure. To assert a CPU
 requirement, other packages can pre-depend on one of the individual
 feature-specific packages:
 .
 sse2-support, sse3-support, sse4.2-support, altivec-support, neon-support,
 armv6-support, armv7-support, armv8-support, vfp-support, vfpv2-support,
 vfpv3-support

Package: sse2-support
Multi-Arch: foreign
Architecture: any-i386
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require SSE2
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for SSE2 and
 refuses to install on unsupported hardware.
 .
 Streaming SIMD Extensions (SSE) is a single instruction, multiple data
 (SIMD) instruction set extension.
 .
 SSE2 was an incremental upgrade to SSE intended to fully replace the earlier
 MMX instruction set. It is available on processors from Pentium 4 onward,
 including all 64-bit capable ones, but not on Pentium 3, Athlon XP, Via C3,
 Quark, or older processors.

Package: amd64-baseline-support
Multi-Arch: foreign
Architecture: any-i386
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require amd64-baseline
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for amd64-baseline and
 refuses to install on unsupported hardware.
 .
 This is the Micro-Architecture Levels baseline for Debian under
 x86-64 architecture, corresponding to x86-65 psABI v1.
 .
 This includes:
 - cmov instruction (CMOV instruction set),
 - cmpxchg8b ant other 64 bits atomics instruction (CX8 instruction set),
 - MMX a single instruction, multiple data (SIMD) instruction set,
 - streaming SIMD Extensions (SSE) set, a single instruction, multiple data
   (SIMD) instruction set extension,
 - SSE2 an incremental upgrade to SSE.
 .
 On ABIs other than the x86-64 psABI they select the same CPU features
 as the x86-64 psABI documents for the particular micro-architecture level.

Package: x86-64-v2-support
Multi-Arch: foreign
Architecture: any-i386 any-amd64
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require x86-64-v2
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for x86-64-v2 and
 refuses to install on unsupported hardware.
 .
 This is the Micro-Architecture Levels version 2 as defined by the
 amd64 ABI document.
 This includes:
 - cmov instruction (CMOV instruction set),
 - cmpxchg8b ant other 64 bits atomics instruction (CX8 instruction set),
 - MMX a single instruction, multiple data (SIMD) instruction set,
 - streaming SIMD Extensions (SSE) set, a single instruction, multiple data
   (SIMD) instruction set extension,
 - SSE2 an incremental upgrade to SSE.
 - cmpxchg16b ant other 128 bits atomics instruction (CX16 instruction set),
 - SSE3, also called PNI (Prescott New Instructions), is an incremental upgrade
   to SSE2
 - SSE4.1 added a dot product instruction and additional integer instructions.
 - SSE4.2 added string and text processing instructions that perform character
   searches and comparison on two operands of 16 bytes at a time.
 - SSSE3 or Supplemental Streaming SIMD Extension 3.
 .
 The corresponding micro-architecture level from the x86-64 psABI.
 On ABIs other than the x86-64 psABI they select the same CPU features
 as the x86-64 psABI documents for the particular micro-architecture level.

Package: sse3-support
Multi-Arch: foreign
Architecture: any-i386 any-amd64
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require SSE3
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for SSE3 and
 refuses to install on unsupported hardware.
 .
 Streaming SIMD Extensions (SSE) is a single instruction, multiple data
 (SIMD) instruction set extension.
 .
 SSE3, also called PNI (Prescott New Instructions), is an incremental upgrade
 to SSE2, adding a handful of new operations useful for processing media. It
 is available on almost any 64-bit-capable processor except for some early
 AMD models (Sledgehammer and Clawhammer), but is not available on most
 32-bit-only hardware.

Package: sse4.1-support
Multi-Arch: foreign
Architecture: any-i386 any-amd64
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require SSE4.1
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for SSE4.1 and
 refuses to install on unsupported hardware.
 .
 Streaming SIMD Extensions (SSE) is a single instruction, multiple data
 (SIMD) instruction set extension.
 .
 SSE4.1 added a dot product instruction and additional integer instructions.
 It is available on Intel processors since Penryn (circa 2008), but notably
 not on anything AMD until the Bulldozer (15h, in 2011) and Jaguar (16h, in
 2013) families.

Package: sse4.2-support
Multi-Arch: foreign
Architecture: any-i386 any-amd64
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require SSE4.2
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for SSE4.2 and
 refuses to install on unsupported hardware.
 .
 SSE4.2 added string and text processing instructions that perform character
 searches and comparison on two operands of 16 bytes at a time. It is
 available on Intel processors since Nehalem (circa 2008), but notably not
 on anything AMD until the Bulldozer (15h, in 2011) and Jaguar (16h, in
 2013) families.

Package: x86-64-v3-support
Multi-Arch: foreign
Architecture: any-i386 any-amd64
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require x86-64-v3
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for x86-64-v3 and
 refuses to install on unsupported hardware.
 .
 This is the Micro-Architecture Levels version 3 as defined by
 the amd64 ABI document.
 This includes:
 - cmov instruction (CMOV instruction set),
 - cmpxchg8b ant other 64 bits atomics instruction (CX8 instruction set),
 - MMX a single instruction, multiple data (SIMD) instruction set,
 - streaming SIMD Extensions (SSE) set, a single instruction, multiple data
   (SIMD) instruction set extension,
 - SSE2 an incremental upgrade to SSE.
 - cmpxchg16b ant other 128 bits atomics instruction (CX16 instruction set),
 - SSE3, also called PNI (Prescott New Instructions), is an incremental upgrade
   to SSE2,
 - SSE4.1 added a dot product instruction and additional integer instructions,
 - SSE4.2 added string and text processing instructions that perform character
   searches and comparison on two operands of 16 bytes at a time,
 - SSSE3 or Supplemental Streaming SIMD Extension 3,
 - Advanced Vector Extensions (AVX and AVX2)
 - Bit manipulation instructions sets (BMI and BMI2),
 - F16C instruction set converting between half-precision
   and standard IEEE single-precision floating-point formats,
 - LZCNT instruction, Count the Number of Leading Zero Bits,
 - OSXSAVE, Save Processor Extended States instruction.
 .
 The corresponding micro-architecture level from the x86-64 psABI.
 On ABIs other than the x86-64 psABI they select the same CPU features
 as the x86-64 psABI documents for the particular micro-architecture level.

Package: altivec-support
Multi-Arch: foreign
Architecture: powerpc
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require altivec
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for altivec and
 refuses to install on unsupported hardware.
 .
 AltiVec is a single-precision floating point and integer SIMD instruction
 set. It is a standard part of the Power ISA v.2.03 specification.

Package: neon-support
Multi-Arch: foreign
Architecture: armhf
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require neon
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for neon and
 refuses to install on unsupported hardware.
 .
 This is a mostly dummy package which checks for Neon and refuses to install
 on unsupported hardware.
 .
 Neon, also known as MPE (Media Processing Engine) or Advanced SIMD, is a
 combined 64- and 128-bit SIMD instruction set that provides standardised
 acceleration for media and signal processing applications. It is available
 on the vast majority of armhf devices but not guaranteed before the 64-bit
 capable ARMv8.

Package: armv6-support
Multi-Arch: foreign
Architecture: armel
Pre-Depends: isa-support (= ${binary:Version})
Description: CPU feature checking - require ARMv6
 The packages in the isa-support family probe for microprocessor Instruction
 Set Architecture features such as SSE3. By refusing to install on machines
 lacking a required feature, they allow ISA requirements to be handled in
 terms of package dependencies.
 .
 This is a mostly dummy package which checks for ARMv6 and
 refuses to install on unsupported hardware.
 .
 The ARMv6 architecture (not to be confused with product family ARM6) uses
 physically addressed cache, solving many cache aliasing problems and
 reducing context switch overhead. Unaligned and mixed-endian data access is

## isa-support 26~cloud0

=== debian/changelog ===
isa-support (26~cloud0) noble-epoxy; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Feb 2025 19:13:16 +0000

isa-support (26) unstable; urgency=medium

  * Upload to unstable
  * Fix typo in description (Closes: #1086662)
  * Fix lintian warning
  * Fix crossbuild

 -- Bastien Roucariès <rouca@debian.org>  Sun, 03 Nov 2024 22:50:48 +0000

isa-support (25) experimental; urgency=medium

  * Enable neon for armel.
  * Test neon using HWCAP.
  * Enable altivec detection on all ppc.
  * Bug fix: "please add armv8 + crc support package", thanks to Luca
    Boccassi (Closes: #1075759).
  * Add test for arm64-baseline.

 -- Bastien Roucariès <rouca@debian.org>  Wed, 30 Oct 2024 14:05:28 +0000

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,6 @@
 override_dh_installdebconf:
 	dh_installdebconf -- --podir=debian/po.tmp
 
-override_dh_dwz:
-	# workarround lintian bug
-	dh_dwz --no-dwz-multifile
+#override_dh_dwz:
+#	# workarround lintian bug
+#	dh_dwz --no-dwz-multifile

=== debian/tests/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Tests: test-amd64-baseline
 Depends: isa-support, qemu-user-static (>>1:7.2~), build-essential
-Architecture: any-i386 any-amd64
+Architecture: any-i386
 
 Tests: test-x86-64-v1
 Depends: isa-support, qemu-user-static (>>1:7.2~), build-essential
